Skip to main content
GET
Get Group

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Alternatively, you can authenticate with a personal access token (PAT) by sending Authorization: Basic base64(email:PAT).

Scopes

management:groups:read

Read access to group resources.

Path Parameters

id
string<uuid>
required

Group identifier (UUID).

Response

OK

id
string<uuid>

Connect AI group identifier.

name
string

Group display name. For scim groups, as synced from the IdP.

source
enum<string>

Group origin.

Available options:
scim,
custom
enabled
boolean

Whether the group is enabled. false for scim groups until you enable them in the Connect AI UI. Always true for custom groups.

description
string | null

Set for custom groups. Always null for scim groups.

idp_group_id
string | null

IdP identifier (for example, an Entra ID object ID or Okta group ID). Set for scim groups. Always null for custom groups.

member_count
integer

Number of members in the group.

last_synced_at
string<date-time> | null

Last SCIM sync time. Always null for custom groups.

created_at
string<date-time>

For custom groups, the time of API creation. For scim groups, the time of first sync.

created_by
string<uuid> | null

Set for custom groups. null for scim groups.

Last modified on November 12, 2026